Subject: RE: Zsh observations
From: "Andrej Borsenkow" <[email-masked]>
To: "Michael Schaap" <[email-masked]>
Cc: <[email-masked]>, "ZSH Workers Mailing List" <[email-masked]>
Date: Mon, 9 Jul 2001 09:49:22 +0400

>
> Sorry, I made a mistake in my exaple.  I meant:
>          % ./setu<TAB>

(tty1)% ./fTAB
(tty1)% ./foo.exe
(tty1)% ll fo*
-rwxrwxrwx    1 MW1G017  ITS             4 Jul  9 09:40 foo.exe*
(tty1)% chmod -x foo.exe
(tty1)% ./fo
No matches for: `external command', `executable file or directory', `builtin
com
mand', `shell function', `alias', `reserved word', `job', or `parameter'

Are you sure setup.exe has execute permissons?

> Another, less useful, example world be:
>          % /usr/local/bin/zs<TAB>
>

Same question.

The problem is, Cygwin will execute file even if it has no executable bit
set. But zsh relies on it to find out executable file(s).  If you do not use
NTEA Cygwin is using some magic to find out (and return in stat) if file is
executable; but if you use NTEA it completly relies on file modes. I do not
know any easy workaround here.

Zsh just assumes that anything in path is executable, hence it can complete
command in path but the same command by file name. I cannot at the moment
say if it correct or not.

-andrej

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/